package mx.gob.imss.simo.administracionusuario.common.constant;

public class SQLConstants {

	private SQLConstants() {
		super();
	}

	 public static final String OBTENER_SIGUIENTE_VALOR_SECUENCIA = "SELECT %s.NEXTVAL FROM DUAL";
	
	public static final String BUSCAR = "SELECT * FROM SIT_REPORTE_GENERADO WHERE CVE_PRESUPUESTAL = ? AND CVE_TIPO_REPORTE = ? ORDER BY FEC_GENERACION DESC";

	public static final String ACTUALIZAR = "UPDATE SIT_RECIEN_NACIDO SET IND_INGRESO_RN = 1 WHERE CVE_TOCOCIRUGIA = ? AND NUM_RECIEN_NACIDO = ?";

	public static final String OBTENER_UNIDADES_MEDICAS_POR_CUENTA_AD = "SELECT "+
	"UM.CVE_DELEGACION_IMSS,UM.CVE_ENTIDAD_FED,UM.CVE_PRESUPUESTAL, UM.DES_UNIDAD_MEDICA,"
	+"RO.CVE_ROL, RO.DES_ROL, DI.DES_DELEGACION_IMSS,PU.IND_TITULAR,PU.FEC_BAJA_UNIDAD,PU.FEC_ALTA_UNIDAD, PU.IND_ACTIVO_UNIDAD"
	+" FROM SIC_PERSONAL_OPERATIVO PO "
	+"INNER JOIN SIC_PERSONAL_UNIDAD PU ON PU.REF_PERSONAL_OPERATIVO= PO.REF_PERSONAL_OPERATIVO "
	+"INNER JOIN SIC_UNIDAD_MEDICA UM ON UM.CVE_PRESUPUESTAL = PU.CVE_PRESUPUESTAL "
	+"INNER JOIN SIC_ROL RO ON RO.CVE_ROL = PU.CVE_ROL "
	+"INNER JOIN SIC_DELEGACION_IMSS DI ON DI.CVE_DELEGACION_IMSS = UM.CVE_DELEGACION_IMSS"
    +" WHERE PO.REF_PERSONAL_OPERATIVO = ?";
	
	public static final String BUSCAR_USUARIO_SIMOC = "SELECT "
			+ "REF_PERSONAL_OPERATIVO, CVE_MATRICULA, REF_NOMBRE, REF_APELLIDO_PATERNO,"
			+ " REF_APELLIDO_MATERNO,REF_EMAIL,REF_NUM_TELEFONO, REF_NUM_EXTENSION, IND_ACTIVO, IND_BLOQUEADO, CAN_INTENTOS, FEC_BAJA FROM SIC_PERSONAL_OPERATIVO "
			+ "WHERE REF_PERSONAL_OPERATIVO = ?";
	
	/*Alta de usuario*/
    public static final String ALTA_USUARIO_OPERATIVO = "INSERT INTO SIC_PERSONAL_OPERATIVO (REF_PERSONAL_OPERATIVO,CVE_MATRICULA,"
    		+"REF_NOMBRE, REF_APELLIDO_PATERNO, REF_APELLIDO_MATERNO, REF_EMAIL, REF_NUM_TELEFONO, REF_NUM_EXTENSION, IND_ACTIVO,"
    		+"IND_BLOQUEADO, CAN_INTENTOS, FEC_BAJA ) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
    
    public static String ACTUALIZAR_USUARIO_OPERATIVO = "UPDATE SIC_PERSONAL_OPERATIVO SET CVE_MATRICULA = ?,REF_NOMBRE = ?, REF_APELLIDO_PATERNO = ?, REF_APELLIDO_MATERNO = ?, REF_EMAIL = ?"
    		+ ",REF_NUM_TELEFONO =?, REF_NUM_EXTENSION = ?, IND_ACTIVO = ?, IND_BLOQUEADO = ?, CAN_INTENTOS =?, FEC_BAJA =?"
    		+ " WHERE REF_PERSONAL_OPERATIVO = ?";
    
    public static final String ALTA_USUARIO_UNIDAD = "INSERT INTO SIC_PERSONAL_UNIDAD (CVE_PRESUPUESTAL, REF_PERSONAL_OPERATIVO, "
    		+"IND_TITULAR, CVE_ROL, IND_ACTIVO_UNIDAD, FEC_ALTA_UNIDAD, FEC_BAJA_UNIDAD) VALUES (?,?,?,?,?,?,?);";
    
    /*Asignacion Rol*/
    public static String ASIGNACION_ROL = "UPDATE SIC_PERSONAL_UNIDAD SET CVE_ROL = ? WHERE REF_PERSONAL_OPERATIVO = ?";
    
    /*Agregar Asignacion*/
    public static String AGREGAR_ASIGNACION = "INSERT INTO SIC_PERSONAL_UNIDAD (CVE_PRESUPUESTAL, REF_PERSONAL_OPERATIVO, "
    		+"IND_TITULAR, CVE_ROL, IND_ACTIVO_UNIDAD, FEC_ALTA_UNIDAD, FEC_BAJA_UNIDAD) VALUES(?,?,?,?,?,?,?)";
    
    /*Actualizar Asignacion*/
    public static String ACTUALIZAR_ASIGNACION = "UPDATE SIC_PERSONAL_UNIDAD SET CVE_PRESUPUESTAL = ?,IND_TITULAR = ?, IND_ACTIVO_UNIDAD = ?, FEC_BAJA_UNIDAD = ?, FEC_ALTA_UNIDAD = ?"
    		+ " WHERE REF_PERSONAL_OPERATIVO = ? AND CVE_PRESUPUESTAL = ?";
    
    
    public static final String BUSCAR_ROL = "SELECT ROL.CVE_ROL,ROL.REF_ROL, ROL.DES_ROL,ROL.FEC_BAJA FROM SIC_PERSONAL_UNIDAD UNIDA "
    		+ "INNER JOIN SIC_ROL ROL ON ROL.CVE_ROL= UNIDA.CVE_ROL WHERE UNIDA.REF_PERSONAL_OPERATIVO = ?";
    
    public static final String BUSCAR_PARAMETRO = "SELECT * FROM SIC_PARAMETRO WHERE CVE_PARAMETRO = ? ";
    
    public static final String BUSCAR_ROL_ID = "SELECT * FROM SIC_ROL WHERE CVE_ROL = ? ";
    
    public static final String BUSCAR_ASIGNACION_ID = "SELECT UM.CVE_DELEGACION_IMSS,UM.CVE_ENTIDAD_FED,UM.CVE_PRESUPUESTAL, UM.DES_UNIDAD_MEDICA,RO.CVE_ROL, RO.DES_ROL, DI.DES_DELEGACION_IMSS,PU.IND_TITULAR,PU.FEC_BAJA_UNIDAD,PU.FEC_ALTA_UNIDAD, PU.IND_ACTIVO_UNIDAD"
    		+ " FROM SIC_PERSONAL_OPERATIVO PO "
    		+ "INNER JOIN SIC_PERSONAL_UNIDAD PU ON PU.REF_PERSONAL_OPERATIVO= PO.REF_PERSONAL_OPERATIVO "
    		+ "INNER JOIN SIC_UNIDAD_MEDICA UM ON UM.CVE_PRESUPUESTAL = PU.CVE_PRESUPUESTAL "
    		+ "INNER JOIN SIC_ROL RO ON RO.CVE_ROL = PU.CVE_ROL "
    		+ "INNER JOIN SIC_DELEGACION_IMSS DI ON DI.CVE_DELEGACION_IMSS = UM.CVE_DELEGACION_IMSS "
    		+ "WHERE PU.REF_PERSONAL_OPERATIVO = ? AND PU.CVE_PRESUPUESTAL = ?";
    
    public static String ACTUALIZAR_STATUS_ASIGNACION = "UPDATE SIC_PERSONAL_UNIDAD SET IND_ACTIVO_UNIDAD = ?"
    		+ " WHERE REF_PERSONAL_OPERATIVO = ? AND CVE_PRESUPUESTAL = ?";
    
    public static String ACTUALIZAR_TODAS_ASIGNACION_ESTATUS = "UPDATE SIC_PERSONAL_UNIDAD SET IND_ACTIVO_UNIDAD = ?"
    		+ " WHERE REF_PERSONAL_OPERATIVO = ?";
    
    public static String ELIMINAR_ASIGNACION = "DELETE FROM SIC_PERSONAL_UNIDAD WHERE CVE_PRESUPUESTAL = ? AND REF_PERSONAL_OPERATIVO = ?";
    public static String BUSQUEDA_DELEGACIO_SIAP = "SELECT * FROM SIC_UNIDAD_MEDICA WHERE CVE_DELEGACION_IMSS= ? AND CVE_PRESUPUESTAL = ? ";
    
    public static String ACTUALIZAR_ESTATUS_PERSONAL_OPERATIVO = "UPDATE SIC_PERSONAL_OPERATIVO SET ind_activo = ?, FEC_BAJA = ?"
    		+ " WHERE REF_PERSONAL_OPERATIVO = ?";
}

